| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
Bmatrix Class Reference

`#include <Bmatrix.h>`

## Public Member Functions
| Bmatrix ()
| Bmatrix (long columns, long rows)
| Bmatrix (long columns, long rows, int cflag, int rflag)
Bmatrix | operator* (Bmatrix &mat)
double & | operator[] (long i)
long | columns ()
long | rows ()
long | size ()
Bstring * | column_labels ()
Bstring * | row_labels ()
void | column_labels (Bstring *labels)
void | row_labels (Bstring *labels)
void | column_add_label (Bstring &s)
void | row_add_label (Bstring &s)
double | determinant ()
void | swap_columns_rows (long rc1, long rc2)

## Detailed Description

Definition at line 28 of file Bmatrix.h.

## Constructor & Destructor Documentation

Bmatrix::Bmatrix | ( |  | ) |
| inline

Definition at line 35 of file Bmatrix.h.

Bmatrix::Bmatrix | ( | long | columns,
|  | long | rows
| ) |  |
| inline

Definition at line 36 of file Bmatrix.h.

Bmatrix::Bmatrix | ( | long | columns,
|  | long | rows,
|  | int | cflag,
|  | int | rflag
| ) |  |
| inline

Definition at line 42 of file Bmatrix.h.

## Member Function Documentation

void Bmatrix::column_add_label | ( | Bstring & | s | ) |
| inline

Definition at line 92 of file Bmatrix.h.

Bstring* Bmatrix::column_labels | ( |  | ) |
| inline

Definition at line 80 of file Bmatrix.h.

void Bmatrix::column_labels | ( | Bstring * | labels | ) |
| inline

Definition at line 82 of file Bmatrix.h.

long Bmatrix::columns | ( |  | ) |
| inline

Definition at line 77 of file Bmatrix.h.

double Bmatrix::determinant | ( |  | ) |
| inline

Definition at line 94 of file Bmatrix.h.

Bmatrix Bmatrix::operator* | ( | Bmatrix & | mat | ) |
| inline

Definition at line 65 of file Bmatrix.h.

double& Bmatrix::operator[] | ( | long | i | ) |
| inline

Definition at line 76 of file Bmatrix.h.

void Bmatrix::row_add_label | ( | Bstring & | s | ) |
| inline

Definition at line 93 of file Bmatrix.h.

Bstring* Bmatrix::row_labels | ( |  | ) |
| inline

Definition at line 81 of file Bmatrix.h.

void Bmatrix::row_labels | ( | Bstring * | labels | ) |
| inline

Definition at line 87 of file Bmatrix.h.

long Bmatrix::rows | ( |  | ) |
| inline

Definition at line 78 of file Bmatrix.h.

long Bmatrix::size | ( |  | ) |
| inline

Definition at line 79 of file Bmatrix.h.

void Bmatrix::swap_columns_rows | ( | long | rc1,
|  | long | rc2
| ) |  |
| inline

Definition at line 102 of file Bmatrix.h.

The documentation for this class was generated from the following file:

- /usr/local/bsoft/include/Bmatrix.h